Results 1 to 6 of 6

Thread: Conflicting repositories ?

  1. #1
    Join Date
    Feb 2010
    Location
    Los Angeles, CA, USA
    Posts
    148

    Default Conflicting repositories ?

    I noticed that when i run "zypper up" i get recurring updates for the same packages. these are mainly KDE packages, but also virtualbox and vlc.
    I understand that at least with KDE 4.4 - the version i now have, it is under constant development, but it looks to me like i keep getting the same updates all the time. i'm talking about several times a week.

    running zypper lr yields this:
    Code:
      | Alias                            | Name                                                | Enabled | Refresh
    ---+----------------------------------+-----------------------------------------------------+---------+--------
    1  | DVD Repository                   | DVD Repository                                      | Yes     | No     
    2  | Google_Linux_Apps                | Google Linux Apps 64Bit                             | Yes     | No     
    3  | KDE:KDE4:Factory:Desktop         | KDE:KDE4:Factory:Desktop                            | Yes     | No     
    4  | Libdvdcss repository             | Libdvdcss repository                                | Yes     | No     
    5  | download.nvidia.com-opensuse     | NVIDIA Repository                                   | Yes     | No     
    6  | download.opensuse.org-STABLE     | openSUSE BuildService - OpenOffice.org              | Yes     | No     
    7  | download.opensuse.org-VirtualBox | openSUSE BuildService - Virtualization (VirtualBox) | Yes     | No     
    8  | download.opensuse.org-Wine       | openSUSE BuildService - Wine CVS Builds             | Yes     | No     
    9  | download.opensuse.org-mozilla    | openSUSE BuildService - Mozilla                     | Yes     | No     
    10 | download.videolan.org-SuSE       | VideoLan Repository                                 | Yes     | No     
    11 | ftp.skynet.be-suse               | Packman Repository                                  | Yes     | No     
    12 | google-chrome                    | google-chrome                                       | Yes     | No     
    13 | home:dstoecker                   | home:dstoecker                                      | No      | No     
    14 | openSUSE:Factory:Contrib         | openSUSE:Factory:Contrib                            | Yes     | No     
    15 | repo-debug                       | openSUSE-11.2-Debug                                 | No      | No     
    16 | repo-non-oss                     | openSUSE-11.2-Non-Oss                               | Yes     | No     
    17 | repo-oss                         | openSUSE-11.2-Oss                                   | Yes     | No     
    18 | repo-source                      | openSUSE-11.2-Source                                | No      | No     
    19 | repo-update                      | openSUSE-11.2-Update                                | Yes     | No     
    20 | subpixel repository              | subpixel repository                                 | Yes     | No
    my guess is that i might have repositories that contain the same packages, and i'm upgrading downgrading all the time. could it be possible ?
    WE ARE LINUX... RESISTANCE IS FUTILE !!
    openSUSE 13.1, KDE
    2 daughters, 1 Dog, lots of passion for Linux

  2. #2
    Join Date
    Mar 2008
    Location
    Phuket, Thailand
    Posts
    26,658
    Blog Entries
    38

    Default Re: Conflicting repositories ?

    Quote Originally Posted by Argoson View Post
    my guess is that i might have repositories that contain the same packages, and i'm upgrading downgrading all the time. could it be possible ?
    My recommendation is you disable ALL of those repositories with 4 exceptions. Keep these 4 enabled and ONLY these 4 enabled. These 4 are: #11 (packman), #16 (non-OSS), #17 (OSS) and #19 (update). Keep those 4. Just those 4. No others. None.

    Good luck!

  3. #3
    Join Date
    Jun 2008
    Location
    The English Lake District. UK - GMT/BST
    Posts
    36,764
    Blog Entries
    20

    Default Re: Conflicting repositories ?

    why is refresh off on them all?
    Tumbleweed_KDE
    My Articles Was I any help? If yes: Click the star below

  4. #4
    Join Date
    Feb 2010
    Location
    Los Angeles, CA, USA
    Posts
    148

    Default Re: Conflicting repositories ?

    Quote Originally Posted by caf4926 View Post
    why is refresh off on them all?
    i prefer to refresh manually. since i'm still in the process of installing and experimenting with openSuse, i regularly open yast to install new packages, and it takes a long to refresh the repositories. that way i save some time and do the refresh via CLI
    WE ARE LINUX... RESISTANCE IS FUTILE !!
    openSUSE 13.1, KDE
    2 daughters, 1 Dog, lots of passion for Linux

  5. #5
    Join Date
    Feb 2010
    Location
    Los Angeles, CA, USA
    Posts
    148

    Default Re: Conflicting repositories ?

    Quote Originally Posted by oldcpu View Post
    My recommendation is you disable ALL of those repositories with 4 exceptions. Keep these 4 enabled and ONLY these 4 enabled. These 4 are: #11 (packman), #16 (non-OSS), #17 (OSS) and #19 (update). Keep those 4. Just those 4. No others. None.

    Good luck!
    ok, i'll give it a try
    WE ARE LINUX... RESISTANCE IS FUTILE !!
    openSUSE 13.1, KDE
    2 daughters, 1 Dog, lots of passion for Linux

  6. #6
    Join Date
    Nov 2009
    Location
    West Virginia Sector 13
    Posts
    15,932

    Default Re: Conflicting repositories ?

    Also a note: 4.4 is still very much beta and factory more so. If you want stability don't do it. If you want to help with the beta testing great can always use more cannon fodder. But in any case don't have more then one repository active that supplies the same set of packages. If you are going to use the 4.4 stuff turn off the 4.3 stuff and visa versa. See?

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •